## gwosc-0.6.0.tar.gz

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = gwosc
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
gwosc (0.6.0-1) unstable; urgency=low

  * update to 0.6.0

 -- Duncan Macleod <duncan.macleod@ligo.org>  Mon, 09 Aug 2021 09:42:00 +0100

gwosc (0.5.8-1) unstable; urgency=low

  * update to 0.5.8

 -- Duncan Macleod <duncan.macleod@ligo.org>  Wed, 19 May 2021 10:41:00 +0100

gwosc (0.5.7-1) unstable; urgency=low

  * update to 0.5.7
  * add setuptools-scm and wheel build requirements
  * run tests in color

 -- Duncan Macleod <duncan.macleod@ligo.org>  Wed, 12 May 2021 12:12:00 +0100

gwosc (0.5.6-1) unstable; urgency=low

  * update to 0.5.6
  * add python3-requests-mock as a test requirement and skip the tests for
    stretch (requests-mock is too old)

 -- Duncan Macleod <duncan.macleod@ligo.org>  Thu, 27 Aug 2020 13:51:00 +0100

gwosc (0.5.5-1) unstable; urgency=low

  * update to 0.5.5

 -- Duncan Macleod <duncan.macleod@ligo.org>  Mon, 27 Jul 2020 14:23:00 +0100

gwosc (0.5.4-1) unstable; urgency=low

  * update to 0.5.4

 -- Duncan Macleod <duncan.macleod@ligo.org>  Sun, 26 Jul 2020 18:02:00 +0100

gwosc (0.5.3-1) unstable; urgency=low

  * update to 0.5.3

 -- Duncan Macleod <duncan.macleod@ligo.org>  Wed, 22 Apr 2020 17:35:00 +0000

gwosc (0.5.2-1) unstable; urgency=low

  * update to 0.5.2

 -- Duncan Macleod <duncan.macleod@ligo.org>  Wed, 18 Mar 2020 11:00:00 +0000

gwosc (0.5.1-1) unstable; urgency=low

  * update to 0.5.1

 -- Duncan Macleod <duncan.macleod@ligo.org>  Tue, 17 Mar 2020 22:34:00 +0000

gwosc (0.5.0-1) unstable; urgency=low

  * drop support for python2

 -- Duncan Macleod <duncan.macleod@ligo.org>  Tue, 17 Mar 2020 10:00:00 +0000

gwosc (0.4.3-1) unstable; urgency=low

  * [#33] fixed bugs in `gwosc.timeline`
  * [#34] added `match` keyword to `gwosc.datasets.find_datsets`

 -- Duncan Macleod <duncan.macleod@ligo.org>  Tue, 12 Mar 2019 07:19:00 +0000

gwosc (0.4.2-1) unstable; urgency=low

  * [#31] new function `gwosc.datasets.dataset_type`
  * [#32] fixed critical bug in `gwosc.locate.get_urls`

 -- Duncan Macleod <duncan.macleod@ligo.org>  Mon, 11 Mar 2019 16:39:00 +0000

gwosc (0.4.1-1) unstable; urgency=low

  * development release to include catalogue parsing

 -- Duncan Macleod <duncan.macleod@ligo.org>  Thu, 28 Feb 2019 21:18:00 +0100

gwosc (0.3.4-1) unstable; urgency=low

  * testing bug-fix release

 -- Duncan Macleod <duncan.macleod@ligo.org>  Mon, 01 Oct 2018 20:16:00 +0100

gwosc (0.3.3-1) unstable; urgency=low

  * packaging bug-fix release

 -- Duncan Macleod <duncan.macleod@ligo.org>  Mon, 09 Jul 2018 15:55:00 +0100

gwosc (0.3.1-1) unstable; urgency=low

  * development release

 -- Duncan Macleod <duncan.macleod@ligo.org>  Sat, 07 Jul 2018 14:18:00 +0100

=== debian/control ===
# -- gwosc source package ------------------------------------------------------

Source: gwosc
Homepage: https://gwosc.readthedocs.io
Vcs-Browser: https://github.com/gwpy/gwosc
Vcs-Git: https://github.com/gwpy/gwosc.git
Maintainer: Duncan Macleod <duncan.macleod@ligo.org>
Section: python
Priority: optional
Standards-Version: 3.9.1
X-Python3-Version: >= 3.5
Build-Depends:
  debhelper (>= 9),
  dh-python,
  lsb-release,
  python3-all,
  python3-pytest,
  python3-requests,
  python3-requests-mock,
  python3-setuptools,
  python3-setuptools-scm,
  python3-wheel,

# -- python3-gwosc -------------------------------------------------------------

Package: python3-gwosc
Architecture: all
Depends:
  ${misc:Depends},
  ${python3:Depends},
  python3-requests,
Description: Python interface to the Gravitational-Wave Open Science Center data archive
 The `gwosc` package provides an interface to querying the open data
 releases hosted on <https://gw-openscience.org> from the GEO, LIGO,
 and Virgo gravitational-wave observatories.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = gwosc

# use pytest for tests
export PYBUILD_TEST_PYTEST = 1

# but don't run tests requiring network
export PYBUILD_TEST_ARGS = --color=yes -m 'not remote'

# but skip all tests if debian stretch (can't satisfy requests-mock >=1.5.0)
DEB_CODENAME = $(shell lsb_release --codename --short)
ifneq (,$(findstring stretch,$(DEB_CODENAME)))
export PYBUILD_DISABLE = test
endif

%:
	dh $@ --with python3 --buildsystem=pybuild
